## gkrellweather 0.2.7

=== Makefile ===
GTK_INCLUDE = `gtk-config --cflags`
GTK_LIB = `gtk-config --libs`

IMLIB_INCLUDE = `imlib-config --cflags-gdk`
IMLIB_LIB = `imlib-config --libs-gdk`


FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE)
LIBS = $(GTK_LIB) $(IMLIB_LIB)
LFLAGS = -shared

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = gkrellweather.o

gkrellweather.so: $(OBJS)
	$(CC) $(OBJS) -o gkrellweather.so $(LFLAGS) $(LIBS)  -lpthread

clean:
	rm -f *.o core *.so* *.bak *~

gkrellweather.o: gkrellweather.c

install:
	if [ -d /usr/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellweather.so /usr/lib/gkrellm/plugins/ ; \
	elif [ -d /usr/share/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellweather.so /usr/share/gkrellm/plugins/ ; \
	elif [ -d /usr/local/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellweather.so /usr/local/lib/gkrellm/plugins/ ; \
	elif [ -d /usr/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellweather.so /usr/lib/gkrellm/plugins/ ; \
	else \
		install -D -c -s -m 644 gkrellweather.so /usr/lib/gkrellm/plugins/gkrellweather.so ; \
	fi
	install -c -m 755 GrabWeather /usr/X11R6/bin

uninstall:
	rm -f /usr/lib/gkrellm/plugins/gkrellweather.so
	rm -f /usr/share/gkrellm/plugins/gkrellweather.so
	rm -f /usr/local/lib/gkrellm/plugins/gkrellweather.so
	rm -f /usr/lib/gkrellm/plugins/gkrellweather.so
	rm -f /usr/X11R6/bin/GrabWeather

## gkrellweather 2.0.6

=== Makefile ===
PKGNAME = gkrellweather
VERSION = 2.0.6
CFLAGS = -O2 -Wall -fPIC `pkg-config gtk+-2.0 --cflags`
LIBS = `pkg-config gtk+-2.0 --libs`
LFLAGS = -shared
PREFIX = /usr/local

LOCALEDIR := $(PREFIX)/share/locale

ifeq ($(enable_nls),1)
    CFLAGS += -DENABLE_NLS -DLOCALEDIR=\"$(LOCALEDIR)\"
    export enable_nls
endif
CFLAGS += -DPACKAGE="\"$(PKGNAME)\""
export PKGNAME LOCALEDIR

CC = gcc

OBJS = gkrellweather.o

gkrellweather.so: $(OBJS)
	(cd po && ${MAKE} all )
	$(CC) $(OBJS) -DVERSION=\"$(VERSION)\" -o gkrellweather.so $(LFLAGS) $(LIBS) -lpthread

clean:
	(cd po && ${MAKE} clean )
	rm -f *.o core *.so* *.bak *~

gkrellweather.o: gkrellweather.c
	$(CC) $(CFLAGS) -DPREFIX=\"$(PREFIX)\" -DVERSION=\"$(VERSION)\" -c gkrellweather.c

install:
	(cd po && ${MAKE} install )
	if [ -d /usr/lib/gkrellm2/plugins/ ] ; then \
		install -c -s -m 644 gkrellweather.so /usr/lib/gkrellm2/plugins/ ; \
	elif [ -d $(PREFIX)/lib/gkrellm2/plugins/ ] ; then \
		install -c -s -m 644 gkrellweather.so $(PREFIX)/lib/gkrellm2/plugins/ ; \
	else \
		install -D -c -s -m 644 gkrellweather.so $(PREFIX)/lib/gkrellm2/plugins/gkrellweather.so ; \
	fi
	install -c -m 755 GrabWeather $(PREFIX)/bin

uninstall:
	(cd po && ${MAKE} uninstall )
	rm -f /usr/lib/gkrellm2/plugins/gkrellweather.so
	rm -f $(PREFIX)/lib/gkrellm2/plugins/gkrellweather.so
	rm -f $(PREFIX)/bin/GrabWeather

dist:
	rm -rf $(PKGNAME)-$(VERSION)
	mkdir $(PKGNAME)-$(VERSION)
	cp COPYING ChangeLog Makefile README gkrellweather.c GrabWeather $(PKGNAME)-$(VERSION)/
	mkdir $(PKGNAME)-$(VERSION)/po
	cp po/*.po po/Makefile po/README $(PKGNAME)-$(VERSION)/po/
	tar zcf $(PKGNAME)-$(VERSION).tgz $(PKGNAME)-$(VERSION)
	rm -rf $(PKGNAME)-$(VERSION)

## gkrellweather 2.0.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PKGNAME = gkrellweather
-VERSION = 2.0.6
-CFLAGS = -O2 -Wall -fPIC `pkg-config gtk+-2.0 --cflags`
+VERSION = 2.0.7
+CFLAGS = -O2 -std=gnu99 -Wall -fPIC `pkg-config gtk+-2.0 --cflags`
 LIBS = `pkg-config gtk+-2.0 --libs`
 LFLAGS = -shared
 PREFIX = /usr/local

## gkrellweather 2.0.8

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PKGNAME = gkrellweather
-VERSION = 2.0.7
+VERSION = 2.0.8
 CFLAGS = -O2 -std=gnu99 -Wall -fPIC `pkg-config gtk+-2.0 --cflags`
 LIBS = `pkg-config gtk+-2.0 --libs`
 LFLAGS = -shared

=== po/Makefile ===
MSGFMT = msgfmt
SUB_DIRS = 
FILES_PO:=$(wildcard *.po)
FILES_MO:=$(FILES_PO:.po=.mo)

LOCALEDIR ?= $(PREFIX)/locale
PKGNAME ?= gkrellweather

ifeq ($(enable_nls),1)
all: mo-files

mo-files: $(FILES_MO)

install: 
	$(MAKE) all
	for f in *.mo ; do mkdir -p \
		$(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES ; \
		cp $$f $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PKGNAME).mo ; done

uninstall: 
	for f in $(FILES_MO) ; do \
		rm $(INSTALL_PREFIX)$(LOCALEDIR)/`basename $$f .mo`/LC_MESSAGES/$(PKGNAME).mo ; done

%.mo: %.po
	$(MSGFMT) -f -v -o $@ $<

else

all:

install:

endif

clean:
	$(RM) $(FILES_MO)

=== debian/changelog ===
gkrellweather (2.0.8-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Salvage team
    Closes: #1094441
  * ACK NMU (Closes: #846370)
  * Set Homepage to GKrellM plugins
  * Add fake watch file
  * d/copyright: DEP5
  * Secure URL for site weather data is fetched from
    Closes: #930916
  * No article in short description
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Helmut Grohne ]
  * Do not hard code build architecture pkg-config
    Closes: #901536

 -- Andreas Tille <tille@debian.org>  Tue, 18 Feb 2025 10:28:09 +0100

gkrellweather (2.0.8-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix prefix path. (Closes: #895851)
    - Thanks to Roland Hieber for the patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 20 Oct 2020 16:29:25 +0100

gkrellweather (2.0.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to debhelper compat level 10 (Closes: #817479).
  * Switch to dh(1).
  * Don't strip the binary.
  * Fix the data source URL, patch from Roland Hieber (Closes: #836347).
  * Switch to 3.0 (quilt) format.
  * Enable -Wl,--as-needed.
  * Enable all hardening options.
  * Drop debian/substvars from the package.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 30 Nov 2016 22:19:51 +0500

gkrellweather (2.0.8-2) unstable; urgency=low

  * Updated download location in copyright file
  * Fixed path to GrabWeather
    Closes: #524211
  * Removed libxaw7-dev from build depends and switched from libglib1.2-dev
    to libglib2.0-dev
  * Explained how to reset configuration in README.Debian

 -- Norbert Veber <nveber@debian.org>  Tue, 19 May 2009 12:28:42 -0400

gkrellweather (2.0.8-1) unstable; urgency=high

  * New upstream release
  * This version fixes the security hole described here
    http://www.juniper.net/security/auto/vulnerabilities/vuln27744.html
    http://seclists.org/bugtraq/2008/Feb/0151.html
  * The correct temperature is now displayed
    Closes: #511105, #295784
  * Incorporated changes from NMU
    Closes: #395688, #455849, #363607, #437042

 -- Norbert Veber <nveber@debian.org>  Wed, 21 Jan 2009 14:29:00 -0500

gkrellweather (2.0.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add binary-indep target. (Closes: #395688).
  * Remove unnecessary build-dep on gdk-imlib11. (Closes: #455849).
  * Fix spelling errors in package description. (Closes: #363607).
  * Makefile: Remove -s from install. (Closes: #437042).
  * Make clean not ignore errors.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 08 Dec 2008 22:23:11 -0500

gkrellweather (2.0.7-2) unstable; urgency=low

  * Build depend on libxaw7-dev instead of the depreciated xlibs-dev
    Closes: #346704

 -- Norbert Veber <nveber@pyre.virge.net>  Thu, 19 Jan 2006 21:17:00 -0500

gkrellweather (2.0.7-1) unstable; urgency=low

  * New upstream release
  * Build depend on gdk-imlib11-dev instead of gdk-imlib1-dev

 -- Norbert Veber <nveber@pyre.virge.net>  Tue, 29 Nov 2005 21:31:53 -0500

gkrellweather (2.0.6-5) unstable; urgency=low

  * Added patch to enable proxy support (using http_proxy environment
    variable).
    Closes: #115897

 -- Norbert Veber <nveber@pyre.virge.net>  Tue, 23 Mar 2004 16:00:41 -0500

gkrellweather (2.0.6-4) unstable; urgency=low

  * Changed debhelper compatibility level to 4, and install directory to
    debian/gkrellweather instead of debian/tmp.
  * Removed unused targets in debian/rules
  * Removed prerm script

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 17 Sep 2003 23:45:17 -0400

gkrellweather (2.0.6-3) unstable; urgency=low

  * New maintainer (Closes: #210872)
  * Updated to standards version 3.6.1, changelog is now in UTF-8
    encoding.

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 17 Sep 2003 22:38:38 -0400

gkrellweather (2.0.6-2) unstable; urgency=low

  * GrabWeather obviously isn't in /usr/local/bin, so fix path
    (closes: Bug#191315).

 -- Søren Boll Overgaard <boll@debian.org>  Wed, 30 Apr 2003 12:26:43 +0000

gkrellweather (2.0.6-1) unstable; urgency=low

  * New upstream version.

 -- Søren Boll Overgaard <boll@debian.org>  Wed, 23 Apr 2003 15:07:00 +0000

gkrellweather (2.0.5-4) unstable; urgency=low

  * Add README.Debian

 -- Søren Boll Overgaard <boll@debian.org>  Wed,  5 Mar 2003 15:04:17 +0000

gkrellweather (2.0.5-3) unstable; urgency=low

  * Fix path to GrabWeather.

 -- Søren Boll Overgaard <boll@debian.org>  Wed, 15 Jan 2003 19:50:48 +0000

gkrellweather (2.0.5-2) unstable; urgency=low

  * Move .so to the correct plugin dir.
  * Now works with gkrellm2 (Closes: Bug#175976).

 -- Søren Boll Overgaard <boll@debian.org>  Wed, 15 Jan 2003 19:43:58 +0000

gkrellweather (2.0.5-1) unstable; urgency=low

  * Move to gkrellm2 API.
  * Upstream switched to another author.

 -- Søren Boll Overgaard <boll@debian.org>  Wed, 15 Jan 2003 19:21:34 +0000

gkrellweather (0.2.7-4) unstable; urgency=low

  * Change build-depends away from xlib6g (closes: Bug#170190).
  * Bump standards version 3.5.8.0

 -- Søren Boll Overgaard <boll@debian.org>  Tue, 26 Nov 2002 17:58:01 +0000

gkrellweather (0.2.7-3) unstable; urgency=low

  * Build-depend on gdk-imlib1-dev, rather than gdk-imlib-dev.

 -- Søren Boll Overgaard <boll@debian.org>  Mon,  2 Sep 2002 08:36:30 +0200

gkrellweather (0.2.7-2) unstable; urgency=low

  * New maintainer.
  * Remove symlink fun (closes: Bug#153437, closes: Bug#116848).
  * Fix speeling errors (closes: Bug#124675).
  * Change GrabWeather to try http and ftp when looking for weather
    information (closes: Bug#147125). Patch dispatched to upstream.
  * Remove emacs stuff from Debian changelog.
  * Set/Remove /usr/doc symlinks as per policy.


=== debian/control ===
Source: gkrellweather
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Norbert Veber <nveber@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gkrellm,
               libglib2.0-dev,
               libgtk2.0-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/gkrellweather
Vcs-Git: https://salsa.debian.org/salvage-team/gkrellweather.git
Homepage: https://gkrellm.srcbox.net/Plugins.html

Package: gkrellweather
Architecture: any
Depends: gkrellm,
         ${perl:Depends},
         wget | libwww-perl,
         ${shlibs:Depends},
         ${misc:Depends}
Description: weather monitor plugin for GKrellM
 GKrellWeather is a plugin for GKrellM that monitors the weather information
 given a METAR station identification code. Features include:
  - Temperature, dew point, pressure, relative humidity, sky condition,
    wind direction and speed.
  - Temperatures in degrees Fahrenheit or Celsius
  - Pressure in kPa, hPa or mmHg
  - Wind speeds in kmph, mps or Beaufort scale

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
%:
	dh $@

override_dh_auto_install:
	install -D -m 755 gkrellweather.so $(CURDIR)/debian/gkrellweather/usr/lib/gkrellm2/plugins/gkrellweather.so
	install -D -m 755 GrabWeather $(CURDIR)/debian/gkrellweather/usr/share/gkrellm/GrabWeather

=== debian/watch ===
version=4

opts=dversionmangle=s/.*/0.No-Site/ \
 https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
